#import <Foundation/Foundation.h>
#import <Capacitor/Capacitor.h>

// Define the plugin using the CAP_PLUGIN Macro, and
// each method the plugin supports using the CAP_PLUGIN_METHOD macro.
CAP_PLUGIN(CameraCapturePlugin, "CameraCapturePlugin",
       CAP_PLUGIN_METHOD(capture, CAPPluginReturnPromise);
       CAP_PLUGIN_METHOD(pickSimpleImage, CAPPluginReturnPromise);
       CAP_PLUGIN_METHOD(pickMultipleImage, CAPPluginReturnPromise);
       CAP_PLUGIN_METHOD(captureVideo, CAPPluginReturnPromise);
       CAP_PLUGIN_METHOD(pickSimpleVideo, CAPPluginReturnPromise);
       CAP_PLUGIN_METHOD(pickMultipleVideo, CAPPluginReturnPromise);
)
